Survey results
List responses
GET
/surveys/{id}/responsesNeedsanalytics.viewNewest first; responses with at least one answer.
Authorization
secretKeyheader
AuthorizationBearer <sk_…>A secret API key from Settings → API keys. It acts with its creator's role.
Path Parameters
id*integerThe survey's id.
Range
1 <= valueQuery Parameters
days?integerTime window in days.
Default
30Value in
73090environment?stringWhich environment's responses.
Default
"production"Value in
"production""staging"group?stringNPS group.
Value in
"promoter""passive""detractor"status?stringCompleted or closed part-way.
Value in
"completed""partial"q?stringSearch text answers.
Length
length <= 200cursor?stringnextCursor from the previous page.
limit?integerPage size, 1–200.
Range
1 <= value <= 200Default
50Response Body
OK
application/json- response
responses*array<>nextCursor*string|nullShell
curl -X GET 'https://app.cueston.com/api/surveys/1/responses'Example Response
JSON
{
"responses": [
{
"id": "string",
"createdAt": "2026-10-26T09:30:00Z",
"updatedAt": "2026-10-26T09:30:00Z",
"status": "completed",
"completedAt": "2026-10-26T09:30:00Z",
"userId": "user-123",
"identityVerified": true,
"anonymousId": "anon_8f2c1d9e",
"url": "https://app.acme.com/settings/billing",
"locale": "de-DE",
"version": 3,
"npsScore": 9,
"npsGroup": "promoter",
"answers": {
"property1": null,
"property2": null
}
}
],
"nextCursor": "string"
}